<?php
/*                                                                                                                                                       
  mememe                                     ememem
    \ememememem                       ememememem/ 
     ememememememem               ememememememem  
      emememememememe           emememememememe   
         \memememememem       ememememememe/      
         emememememememe     emememememememe     
                 emememem   ememememe              
                     ememe ememe                   
                       emememe                     
                         eme
                          e  
                             
	^^ Title : Mp Order Number Validation			 
	^^ Create : 2021-10-05
	^^ For PS version 1.7
	   @author : EAGLEMEDIA.de <eagle@eaglemedia.de>
	   @copyright : EAGLEMEDIA.de	   
	   @license : See appended file licence.txt
	   @link : http://eaglemedia.de
*/ 
	# Reports for either E_ERROR | E_WARNING | 
	# E_NOTICE | Any Error
	#
	#ini_set("display_startup_errors", 1);
	#ini_set("display_errors", 1);
	#error_reporting(E_ALL);

    require_once(__DIR__.'/../../config/config.inc.php');
    require_once(__DIR__.'/../../init.php');
    include_once(__DIR__.'/mpordernumbers.php');    

    $order_mp_reference = $_GET['order_mp_reference'] ? trim($_GET['order_mp_reference']) : ''; 
    $module = $_GET['module'] ? trim($_GET['module']) : ''; 
    $row = array();
    $id_order = '';    
    $id_mp = '';  
    $platform = '';
    $obj = new MpOrderNumbers();


    if ($order_mp_reference && $module) 
    {        
        $ret = $obj->getMpOrdersFieldsValues($order_mp_reference, $module);      
            
        $id_order = $ret['id_order'];        
        $id_mp = $ret['id_mp'];  
        $platform = $ret['platform'];            
    }

?>

<!DOCTYPE html>
<html>
    
    <head>
        <meta charset="utf-8" />
        <title><?= $obj->displayName ?></title>
    
        <link href="<?= __PS_BASE_URI__ ?>modules/mpordernumbers/views/css/bootstrap.css" rel="stylesheet" type="text/css"/>
        <link href="<?= __PS_BASE_URI__ ?>modules/mpordernumbers/views/css/mpordernumbers.css" rel="stylesheet" type="text/css"/>
    </head>
    
    <body id="mp-order.app">    
        <div id="mp-order.numbers">
            <h3 title="Order number validation">Validiere Marktplatzbestellnummern mit den Bestellmummern vom Shop</h3>            
            <form action="" method="get"> 
                <div class="mp_module_switch">
                    <table>
                    <tr>                            
                        <th colspan="2" title="Marketplace order number"><p>Modul zur Abfrage <br><span>( falls installiert )</span></p></th>                      
                    </tr>
                    <tr>
                        <td><input type="radio" id="am" name="module" value="amazon" <?= ($module=='amazon')?'checked':''; ?> /></td>
                        <td><label for="am">Amazon</label></td>                       
                    </tr>
                    <tr>
                        <td><input type="radio" id="kf" name="module" value="kaufland" <?= ($module=='kaufland')?'checked':''; ?> /></td>
                        <td><label for="kf">Kaufland</label></td>                       
                    </tr>
                    <tr>
                        <td><input type="radio" id="ml" name="module" value="magnalister" <?= ($module=='magnalister')?'checked':''; ?> /></td>
                        <td><label for="ml">Magnalister</label></td>                       
                    </tr>
                    </table>                
                </div>
                <table>
                <tr>
                    <td>
                        <table>
                        <tr>                            
                            <th title="Marketplace order number">Marktplatz Bestellnummer</th>                      
                        </tr>
                        <tr> 
                            <td>                        
                                <table>
                                <tr> 
                                    <td>                                     
                                        <input type="text" id="order_mp_reference" name="order_mp_reference" placeholder="Search reference" class="form-control" />  
                                    </td>
                                    <td>                            
                                        <div class="mp-refresh">
                                            <button type="submit" class="refresh-mp btn btn-primary" type="button">
                                                <i class="material-icons">refresh</i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                </table>                            
                            </td>
                        </tr>                            
                        <tr>
                            <td><span title="Order ID:">Bestell ID:</span></td>
                            <td><?= $id_order ?></td>                  
                        </tr>
                        <tr>
                            <td><span title="Platform:">Plattform:</span></td>
                            <td><?= ucfirst($platform) ?></td>                  
                        </tr>
                        <tr>
                            <td><span title="Marketplace ID:">Marktplatz ID:</span></td>
                            <td><?= $id_mp ?></td>                  
                        </tr>
                        <tr>
                            <td><span title="You searched:">Ihre Suche:</span></td>
                            <td><?= $order_mp_reference ?></td>                  
                        </tr>
                        </table>
                    </td>
                </tr>
                </table>
            </form>            
        </div>
    </body>
    
</html>
